## LassoIdWsf2PsAddKnownEntityRequest LassoIdWsf2PsAddKnownEntityRequest — <ps:AddKnownEntityRequest> |

## Functions

LassoIdWsf2PsAddKnownEntityRequest * | lasso_idwsf2_ps_add_known_entity_request_new ()

## Types and Values

struct | LassoIdWsf2PsAddKnownEntityRequest

## Description

Figure 208. Schema fragment for ps:AddKnownEntityRequest

    <xs:complexType name="AddKnownEntityRequestType">
      <xs:complexContent>
        <xs:extension base="RequestAbstractType">
          <xs:sequence>
            <xs:element ref="Object"/>
            <xs:element ref="sec:Token"/>
            <xs:element ref="CreatePSObject" minOccurs="0"/>
            <xs:element ref="Subscription" minOccurs="0"/>
            <xs:element ref="sec:TokenPolicy" minOccurs="0"/>
          </xs:sequence>
        </xs:extension>
      </xs:complexContent>
    </xs:complexType>

## Functions

### lasso_idwsf2_ps_add_known_entity_request_new ()

    LassoIdWsf2PsAddKnownEntityRequest *
    lasso_idwsf2_ps_add_known_entity_request_new
                                   (void);

Creates a new LassoIdWsf2PsAddKnownEntityRequest object.

#### Returns

a newly created LassoIdWsf2PsAddKnownEntityRequest object

## Types and Values

### struct LassoIdWsf2PsAddKnownEntityRequest

    struct LassoIdWsf2PsAddKnownEntityRequest {
    	LassoIdWsf2PsRequestAbstract parent;

    	/* elements */
    	/* XXX */ void *Object;
    	/* XXX */ void *Token;
    	char *CreatePSObject;
    	/* XXX */ void *Subscription;
    	/* XXX */ void *TokenPolicy;
    };